<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:th="http://www.thymeleaf.org"
    xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">
<head>
<link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css"/>
<meta charset="utf-8" />
<title>Modifica materia</title>
</head>
<body>
<div align="center" th:if="${errorMessage}">
    		<div th:text="${errorMessage}"></div>
	   </div>
  
    <div align="center" >
        <br />
        
    
	<h1>Modifica una materia</h1>

    
         <form action="#" th:action="@{/editMateria}" th:object="${materia_scelta}" method='POST'>
        	<div class="form-group">
			<div align="left" class="col-md-4">
			<hr/>
				<b>Seleziona una materia</b>
                    <select class="form-control" th:field="*{idMateria}">
                         <option value=""> -- </option>
                         <option th:each="materia : ${materie}"
                            th:value="${materia.idMateria}"
                            th:utext="${materia.nomeMateria}"/>
                  </select>
                  <b>Nome materia</b> <input class="form-control" th:classappend="${#fields.hasErrors('nomeMateria')}? is-invalid : ''" type="text" id="nomeMateria" th:field="*{nomeMateria}"/>
				    <span class="text-danger" th:if="${#fields.hasErrors('nomeMateria')}" th:errors="*{nomeMateria}">Incorrect name</span>
				    
         </div>
         </div>
        
         <button type="submit" class="btn btn-primary">Modifica</button>
        </form>

	<a href="\paginaPersonale">Vai alla pagina personale</a>
	</div>
	
    
    
</body>
</html>